Bug 28937 - NullReferenceException in WebView on Lollipop when Breakpoint set at certain line in MainActivity.cs
Summary: NullReferenceException in WebView on Lollipop when Breakpoint set at certain ...
Status: CONFIRMED
Alias: None
Product: Android
Classification: Xamarin
Component: General (show other bugs)
Version: 5.2
Hardware: PC Mac OS
: Normal normal
Target Milestone: ---
Assignee: Zoltan Varga
URL:
Depends on:
Blocks:
 
Reported: 2015-04-09 12:44 UTC by Cody Beyer (MSFT)
Modified: 2015-07-16 19:25 UTC (History)
6 users (show)

See Also:
Tags:
Is this bug a regression?: ---
Last known good build:


Attachments

Description Cody Beyer (MSFT) 2015-04-09 12:44:01 UTC
### Description

Setting a breakpoint within the sample WebView application causes an NRE on Lollipop on certain devices

### Devices Test

Nexus 10 on Lollipop [Crashes]
Nexus 10 on KitKat [Works]
Samsung Galaxy S5 on KitKat [Works]

### Test App

https://www.dropbox.com/s/ezt2eex9hs2x87j/AndroidWebView.zip?dl=0

### Crash Log

https://gist.github.com/CodyBeyer/e7cb4e0aff34f56b81b2

### Video 

https://www.dropbox.com/s/sei2h7w5xo0z7yi/20150408_173847.mp4?dl=0

### Steps to Reproduce

1. Open linked test case
2. Deploy to Nexus 10 running Lollipop
3. Type a fun message into the text box
4. Click Button

### Expected Results

App should display the message typed in step 3 as a title string

### Actual Results

App crashes with above linked exception

### Versions

Microsoft Visual Studio Professional 2012
Version 11.0.61030.00 Update 4
Microsoft .NET Framework
Version 4.5.51650

Installed Version: Professional

LightSwitch for Visual Studio 2012   04938-004-0033001-02525
Microsoft LightSwitch for Visual Studio 2012

Office Developer Tools   04938-004-0033001-02525
Microsoft Office Developer Tools

Team Explorer for Visual Studio 2012   04938-004-0033001-02525
Microsoft Team Explorer for Visual Studio 2012

Visual Basic 2012   04938-004-0033001-02525
Microsoft Visual Basic 2012

Visual C# 2012   04938-004-0033001-02525
Microsoft Visual C# 2012

Visual C++ 2012   04938-004-0033001-02525
Microsoft Visual C++ 2012

Visual F# 2012   04938-004-0033001-02525
Microsoft Visual F# 2012

Visual Studio 2012 Code Analysis Spell Checker   04938-004-0033001-02525
Microsoft® Visual Studio® 2012 Code Analysis Spell Checker

Portions of International CorrectSpell™ spelling correction system © 1993 by Lernout & Hauspie Speech Products N.V. All rights reserved.

The American Heritage® Dictionary of the English Language, Third Edition Copyright © 1992 Houghton Mifflin Company. Electronic version licensed from Lernout & Hauspie Speech Products N.V. All rights reserved.

Visual Studio 2012 SharePoint Developer Tools   04938-004-0033001-02525
Microsoft Visual Studio 2012 SharePoint Developer Tools

AlignAssignments   1.0
Command for aligning assignments.

AnkhSVN - Subversion Support for Visual Studio   2.5.12582.28
AnkhSVN - Subversion Support for Visual Studio 2.5.12582.28 
 * Ankh.Package 2.5.12582.28
 * Subversion 1.8.11 via SharpSvn 1.8011.3473.77

SharpSvn is linked to: Apr 1.5.1, Apr-util 1.5.4, Cyrus Sasl 2.1.25, eXpat 2.1.0, OpenSSL 1.0.1l 15 Jan 2015, serf 1.3.8, SQLite 3.7.17, Subversion 1.8.11-SharpSvn-1.8.11, ZLib 1.2.8
SharpSvn is optionally linked to: Berkeley DB 4.4.20, SharpPlink 1.8011.3473.77

ASP.NET and Web Tools   2012.3.41009
Microsoft Web Developer Tools contains the following components:
Support for creating and opening ASP.NET web projects
Browser Link: A communication channel between Visual Studio and browsers
Editor extensions for HTML, CSS, and JavaScript
Page Inspector: Inspection tool for ASP.NET web projects
Scaffolding: A framework for building and running code generators
Server Explorer extensions for Windows Azure Web Sites
Web publishing: Extensions for publishing ASP.NET web projects to hosting providers, on-premises servers, or Windows Azure

AutoBraceComplete   1.0
auto brace complete

CustomDocWell   1.0
Provides configurable behavior for the document well in Visual Studio 2012.

NuGet Package Manager   2.8.50926.602
NuGet Package Manager in Visual Studio. For more information about NuGet, visit http://docs.nuget.org/.

OptionsPageImpl   1.0
Information about my package

PowerCommands for Visual Studio 2010   1.0
A set of power commands for Visual Studio 2010

PreEmptive Analytics Visualizer   1.0
Microsoft Visual Studio extension to visualize aggregated summaries from the PreEmptive Analytics product.

Quick Launch Tasks   1.0
Microsoft Quick LaunchTasks package adds accessibility and settings tasks to the Quick Launch tool.

SQL Server Data Tools   11.1.20627.00
Microsoft SQL Server Data Tools

Xamarin   3.9.533.0 (66489f0)
Visual Studio extension to enable development for Xamarin.iOS and Xamarin.Android.

Xamarin.Android   4.20.0.38 (38ac51a9d0866c7726a7484d82632c82c8221594)
Visual Studio plugin to enable development for Xamarin.Android.

Xamarin.iOS   8.8.1.0 (61fa2c6e0f2ef51eb98b8810de13b4469f379cc7)
Visual Studio extension to enable development for Xamarin.iOS.

Xamarin.iOS Unified Migration   1.0
Automated migration for Xamarin iOS Classic projects to Unified
Comment 1 Cody Beyer (MSFT) 2015-04-09 12:45:27 UTC
Confirm breakpoint is set at line 58 of MainActivity.cs prior to testing!

>if (method == "UpdateLabel")
Comment 2 Maksymilian 2015-04-21 06:04:32 UTC
Have exactly the same problem. I tested it on the following devices:
Nexus 5 running Lollipop [Crashes]
Samsung Galaxy S4 running Lollipop [Crashes]
Samsung Galaxy Tab SM-T530 [Works]

Here's the log from Debug:

WARNING: generic atexit() called from legacy shared library
Loaded assembly: /storage/emulated/0/Android/data/WebViewTest.WebViewTest/files/.__override__/WebViewTest.dll
Loaded assembly: Mono.Android.dll [External]
Loaded assembly: System.Core.dll [External]
04-21 11:59:46.835 I/art     (14967): Late-enabling -Xcheck:jni
04-21 11:59:46.882 W/monodroid-debug(14967): Trying to initialize the debugger with options: --debugger-agent=transport=dt_socket,loglevel=0,address=127.0.0.1:8847,server=y,embedding=1
04-21 11:59:47.025 W/monodroid-debug(14967): Accepted stdout connection: 21
04-21 11:59:47.802 W/libc    (14967): WARNING: generic atexit() called from legacy shared library
04-21 11:59:47.812 D/Mono    (14967): Image addref mscorlib[0xb4accfa0] -> mscorlib.dll[0xb4a0f000]: 1
04-21 11:59:47.812 D/Mono    (14967): AOT module 'mscorlib.dll.so' not found: dlopen failed: library "/data/data/WebViewTest.WebViewTest/lib/mscorlib.dll.so" not found
04-21 11:59:47.861 D/Mono    (14967): Assembly mscorlib[0xb4accfa0] added to domain RootDomain, ref_count=1
04-21 11:59:47.939 D/Mono    (14967): Assembly Loader probing location: '/storage/emulated/0/Android/data/WebViewTest.WebViewTest/files/.__override__/WebViewTest.dll'.
04-21 11:59:47.940 D/Mono    (14967): Image addref WebViewTest[0xb4b390a0] -> /storage/emulated/0/Android/data/WebViewTest.WebViewTest/files/.__override__/WebViewTest.dll[0xb4a10800]: 2
04-21 11:59:47.940 D/Mono    (14967): Assembly WebViewTest[0xb4b390a0] added to domain RootDomain, ref_count=1
04-21 11:59:47.941 D/Mono    (14967): AOT module '/storage/emulated/0/Android/data/WebViewTest.WebViewTest/files/.__override__/WebViewTest.dll.so' not found: dlopen failed: library "/data/data/WebViewTest.WebViewTest/lib//storage/emulated/0/Android/data/WebViewTest.WebViewTest/files/.__override__/WebViewTest.dll.so" not found
04-21 11:59:47.942 D/Mono    (14967): Assembly Loader loaded assembly from location: '/storage/emulated/0/Android/data/WebViewTest.WebViewTest/files/.__override__/WebViewTest.dll'.
04-21 11:59:47.942 D/Mono    (14967): Config attempting to parse: '/storage/emulated/0/Android/data/WebViewTest.WebViewTest/files/.__override__/WebViewTest.dll.config'.
04-21 11:59:47.943 D/Mono    (14967): Config attempting to parse: '/Users/builder/data/lanes/1353/86274adf/source/monodroid/builds/install/mono-armv7/etc/mono/assemblies/WebViewTest/WebViewTest.config'.
04-21 11:59:47.943 W/monodroid-gc(14967): GREF GC Threshold: 46800
04-21 11:59:47.944 D/Mono    (14967): Image addref Mono.Android[0xb4b39160] -> Mono.Android.dll[0xb4a10c00]: 1
04-21 11:59:47.944 D/Mono    (14967): Assembly Mono.Android[0xb4b39160] added to domain RootDomain, ref_count=1
04-21 11:59:47.944 D/Mono    (14967): AOT module 'Mono.Android.dll.so' not found: dlopen failed: library "/data/data/WebViewTest.WebViewTest/lib/Mono.Android.dll.so" not found
04-21 11:59:47.973 D/Mono    (14967): Assembly Ref addref Mono.Android[0xb4b39160] -> mscorlib[0xb4accfa0]: 2
04-21 11:59:48.141 D/Mono    (14967): Image addref System.Core[0xb4baa8e0] -> System.Core.dll[0xb4a12c00]: 1
04-21 11:59:48.141 D/Mono    (14967): Assembly System.Core[0xb4baa8e0] added to domain RootDomain, ref_count=1
04-21 11:59:48.142 D/Mono    (14967): AOT module 'System.Core.dll.so' not found: dlopen failed: library "/data/data/WebViewTest.WebViewTest/lib/System.Core.dll.so" not found
04-21 11:59:48.142 D/Mono    (14967): Assembly Ref addref Mono.Android[0xb4b39160] -> System.Core[0xb4baa8e0]: 2
04-21 11:59:48.142 D/Mono    (14967): Assembly Ref addref System.Core[0xb4baa8e0] -> mscorlib[0xb4accfa0]: 3
04-21 11:59:48.157 D/Mono    (14967): Assembly Ref addref WebViewTest[0xb4b390a0] -> Mono.Android[0xb4b39160]: 2
04-21 11:59:48.408 D/Mono    (14967): DllImport attempting to load: '__Internal'.
04-21 11:59:48.408 D/Mono    (14967): DllImport loaded library '(null)'.
04-21 11:59:48.408 D/Mono    (14967): DllImport searching in: '__Internal' ('(null)').
04-21 11:59:48.408 D/Mono    (14967): Searching for '_monodroid_gc_wait_for_bridge_processing'.
04-21 11:59:48.408 D/Mono    (14967): Probing '_monodroid_gc_wait_for_bridge_processing'.
04-21 11:59:48.408 D/Mono    (14967): Found as '_monodroid_gc_wait_for_bridge_processing'.
04-21 11:59:48.419 D/Mono    (14967): DllImport searching in: '__Internal' ('(null)').
04-21 11:59:48.419 D/Mono    (14967): Searching for '_monodroid_get_identity_hash_code'.
04-21 11:59:48.419 D/Mono    (14967): Probing '_monodroid_get_identity_hash_code'.
04-21 11:59:48.419 D/Mono    (14967): Found as '_monodroid_get_identity_hash_code'.
Loaded assembly: MonoDroidConstructors [External]
04-21 11:59:48.508 D/Mono    (14967): Assembly Ref addref WebViewTest[0xb4b390a0] -> mscorlib[0xb4accfa0]: 4
Resolved pending breakpoint at 'c:\git\qvidi\Evici.Qvidi\Mobile\WebViewTest\MainActivity.cs:18,1' to void WebViewTest.MainActivity.OnCreate (Android.OS.Bundle bundle) [0x00000].
04-21 11:59:48.537 D/Mono    (14967): DllImport searching in: '__Internal' ('(null)').
04-21 11:59:48.537 D/Mono    (14967): Searching for '_monodroid_gref_log_new'.
04-21 11:59:48.537 D/Mono    (14967): Probing '_monodroid_gref_log_new'.
04-21 11:59:48.537 D/Mono    (14967): Found as '_monodroid_gref_log_new'.
04-21 11:59:56.525 I/WebViewFactory(14967): Loading com.google.android.webview version 40 (1832189-arm) (code 424501)
04-21 11:59:56.545 I/LibraryLoader(14967): Time to load native libraries: 4 ms (timestamps 7538-7542)
04-21 11:59:56.545 I/LibraryLoader(14967): Expected native library version number "",actual native library version number ""
[INFO:library_loader_hooks.cc(108)] Chromium logging enabled: level = 0, default verbosity = 0
04-21 11:59:56.562 V/WebViewChromiumFactoryProvider(14967): Binding Chromium to main looper Looper (main, tid 1) {25a30a76}
04-21 11:59:56.562 I/LibraryLoader(14967): Expected native library version number "",actual native library version number ""
04-21 11:59:56.562 I/chromium(14967): [INFO:library_loader_hooks.cc(108)] Chromium logging enabled: level = 0, default verbosity = 0
04-21 11:59:56.571 I/BrowserStartupController(14967): Initializing chromium process, singleProcess=true
04-21 11:59:56.574 W/art     (14967): Attempt to remove local handle scope entry from IRT, ignoring
[WARNING:resource_bundle.cc(304)] locale_file_path.empty()
[INFO:aw_browser_main_parts.cc(63)] Load from apk succesful, fd=35 off=163400 len=3583
04-21 11:59:56.583 W/chromium(14967): [WARNING:resource_bundle.cc(304)] locale_file_path.empty()
[INFO:aw_browser_main_parts.cc(76)] Loading webviewchromium.pak from, fd:36 off:390788 len:1143511
04-21 11:59:56.584 I/chromium(14967): [INFO:aw_browser_main_parts.cc(63)] Load from apk succesful, fd=35 off=163400 len=3583
04-21 11:59:56.584 I/chromium(14967): [INFO:aw_browser_main_parts.cc(76)] Loading webviewchromium.pak from, fd:36 off:390788 len:1143511
04-21 11:59:56.589 I/Adreno-EGL(14967): <qeglDrvAPI_eglInitialize:379>: QUALCOMM Build: 01/14/15, ab0075f, Id3510ff6dc
04-21 11:59:56.593 W/AudioManagerAndroid(14967): Requires BLUETOOTH permission
[WARNING:data_reduction_proxy_settings.cc(328)] SPDY proxy OFF at startup
04-21 11:59:56.646 W/chromium(14967): [WARNING:data_reduction_proxy_settings.cc(328)] SPDY proxy OFF at startup
04-21 11:59:56.660 W/art     (14967): Attempt to remove local handle scope entry from IRT, ignoring
04-21 11:59:56.664 W/AwContents(14967): onDetachedFromWindow called when already detached. Ignoring
04-21 11:59:56.670 E/chromium(14967): ### WebView Version 40 (1832189-arm) (code 424501)
Unhandled Exception:

System.NullReferenceException: Object reference not set to an instance of an object

04-21 12:00:02.228 D/Mono    (14967): DllImport attempting to load: '/system/lib/liblog.so'.
04-21 12:00:02.229 D/Mono    (14967): DllImport loaded library '/system/lib/liblog.so'.
04-21 12:00:02.229 D/Mono    (14967): DllImport searching in: '/system/lib/liblog.so' ('/system/lib/liblog.so').
04-21 12:00:02.229 D/Mono    (14967): Searching for '__android_log_print'.
04-21 12:00:02.229 D/Mono    (14967): Probing '__android_log_print'.
04-21 12:00:02.229 D/Mono    (14967): Found as '__android_log_print'.
04-21 12:00:02.275 I/MonoDroid(14967): UNHANDLED EXCEPTION:
04-21 12:00:02.299 I/MonoDroid(14967): System.NullReferenceException: Object reference not set to an instance of an object
04-21 12:00:02.299 I/MonoDroid(14967): at WebViewTest.MainActivity.OnCreate (Android.OS.Bundle) [0x00015] in c:\git\qvidi\Evici.Qvidi\Mobile\WebViewTest\MainActivity.cs:24
04-21 12:00:02.299 I/MonoDroid(14967): at Android.App.Activity.n_OnCreate_Landroid_os_Bundle_ (intptr,intptr,intptr) [0x00011] in /Users/builder/data/lanes/1353/86274adf/source/monodroid/src/Mono.Android/platforms/android-21/src/generated/Android.App.Activity.cs:2380
04-21 12:00:02.299 I/MonoDroid(14967): at (wrapper dynamic-method) object.0d9011e5-0de9-4068-8bfa-5bd7d3622e96 (intptr,intptr,intptr) <IL 0x00017, 0x00043>
04-21 12:00:02.311 W/art     (14967): JNI RegisterNativeMethods: attempt to register 0 native methods for android.runtime.JavaProxyThrowable
04-21 12:00:02.311 D/Mono    (14967): DllImport searching in: '__Internal' ('(null)').
04-21 12:00:02.311 D/Mono    (14967): Searching for '_monodroid_gref_log_delete'.
An unhandled exception occured.

04-21 12:00:02.311 D/Mono    (14967): Probing '_monodroid_gref_log_delete'.
04-21 12:00:02.311 D/Mono    (14967): Found as '_monodroid_gref_log_delete'.
referenceTable GDEF length=670 1
referenceTable GSUB length=7202 1
referenceTable GPOS length=24560 1
04-21 12:00:03.403 E/mono    (14967): 
04-21 12:00:03.403 E/mono    (14967): Unhandled Exception:
04-21 12:00:03.403 E/mono    (14967): System.NullReferenceException: Object reference not set to an instance of an object
04-21 12:00:03.403 E/mono    (14967):   at WebViewTest.MainActivity.OnCreate (Android.OS.Bundle bundle) [0x00015] in c:\git\qvidi\Evici.Qvidi\Mobile\WebViewTest\MainActivity.cs:24 
04-21 12:00:03.403 E/mono    (14967):   at Android.App.Activity.n_OnCreate_Landroid_os_Bundle_ (IntPtr jnienv, IntPtr native__this, IntPtr native_savedInstanceState) [0x00011] in /Users/builder/data/lanes/1353/86274adf/source/monodroid/src/Mono.Android/platforms/android-21/src/generated/Android.App.Activity.cs:2380 
04-21 12:00:03.403 E/mono    (14967):   at (wrapper dynamic-method) object:0d9011e5-0de9-4068-8bfa-5bd7d3622e96 (intptr,intptr,intptr)
04-21 12:00:03.404 E/mono-rt (14967): [ERROR] FATAL UNHANDLED EXCEPTION: System.NullReferenceException: Object reference not set to an instance of an object
Comment 3 Zoltan Varga 2015-04-24 22:41:02 UTC
Could you try the workaround from:
https://bugzilla.xamarin.com/show_bug.cgi?id=29365
Comment 4 Rajneesh Kumar 2015-04-28 10:18:43 UTC
I have checked this issue with Nexus 5 device running Lollipop and able to reproduce the reported behavior. To reproduce this issue I have followed the steps and instruction provided in bug description.

Steps I followed:

1. Create a Android WebView app.
2. Set break point at line 58 in MainActivity.cs file 
3. Deploy the application Nexus 5 running Lollipop.
4. Type some message in textbox.
5. Now click button.
6. Observed that application crash.

Screencast: http://www.screencast.com/t/1W62oJzFvGA

Additional Information: On writing some message in textbox and clicking the button the application get crash, but I am not getting any exception message in the application output. Please let me know that is this the same behavior you are experiencing at your end if no then please let me know that what I am missing to reproduce this issue?

Thanks..!

Application Output: https://gist.github.com/Rajneesh360Logica/9a96c6ee462a2793d3fc
Device Log: https://gist.github.com/Rajneesh360Logica/113cd52ad8a226b96c2b
VS Trace Log: https://gist.github.com/Rajneesh360Logica/af04c50f1a46ceebc30c

Environment Info:

Microsoft Visual Studio Professional 2013
Version 12.0.31101.00 Update 4
Microsoft .NET Framework
Version 4.5.50938

Installed Version: Professional

LightSwitch for Visual Studio 2013   06177-004-0446016-02381
Microsoft LightSwitch for Visual Studio 2013

Team Explorer for Visual Studio 2013   06177-004-0446016-02381
Microsoft Team Explorer for Visual Studio 2013

Visual Basic 2013   06177-004-0446016-02381
Microsoft Visual Basic 2013

Visual C# 2013   06177-004-0446016-02381
Microsoft Visual C# 2013

Visual C++ 2013   06177-004-0446016-02381
Microsoft Visual C++ 2013

Visual F# 2013   06177-004-0446016-02381
Microsoft Visual F# 2013

Visual Studio 2013 Code Analysis Spell Checker   06177-004-0446016-02381
Microsoft® Visual Studio® 2013 Code Analysis Spell Checker

Portions of International CorrectSpell™ spelling correction system © 1993 by Lernout & Hauspie Speech Products N.V. All rights reserved.

The American Heritage® Dictionary of the English Language, Third Edition Copyright © 1992 Houghton Mifflin Company. Electronic version licensed from Lernout & Hauspie Speech Products N.V. All rights reserved.

Windows Phone SDK 8.0 - ENU   06177-004-0446016-02381
Windows Phone SDK 8.0 - ENU

Application Insights Tools for Visual Studio Package   1.0
Application Insights Tools for Visual Studio

ASP.NET and Web Tools   12.4.51016.0
Microsoft Web Developer Tools contains the following components:
Support for creating and opening ASP.NET web projects
Browser Link: A communication channel between Visual Studio and browsers
Editor extensions for HTML, CSS, and JavaScript
Page Inspector: Inspection tool for ASP.NET web projects
Scaffolding: A framework for building and running code generators
Server Explorer extensions for Microsoft Azure Websites
Web publishing: Extensions for publishing ASP.NET web projects to hosting providers, on-premises servers, or Microsoft Azure

ASP.NET Web Frameworks and Tools 2012.2   4.1.21001.0
For additional information, visit http://go.microsoft.com/fwlink/?LinkID=309563

ASP.NET Web Frameworks and Tools 2013   5.2.21010.0
For additional information, visit http://www.asp.net/

Common Azure Tools   1.3
Provides common services for use by Azure Mobile Services and Microsoft Azure Tools.

Microsoft Advertising SDK for Windows Phone   
Microsoft Advertising SDK for Windows Phone
Build 

Microsoft Azure Mobile Services Tools   1.3
Microsoft Azure Mobile Services Tools

NuGet Package Manager   2.8.50926.663
NuGet Package Manager in Visual Studio. For more information about NuGet, visit http://docs.nuget.org/.

Office Developer Tools for Visual Studio 2013 ENU   12.0.30626
Microsoft Office Developer Tools for Visual Studio 2013 ENU

PowerShell Tools   1.3
Provides file classification services using PowerShell

PreEmptive Analytics Visualizer   1.2
Microsoft Visual Studio extension to visualize aggregated summaries from the PreEmptive Analytics product.

SQL Server Data Tools   12.0.41012.0
Microsoft SQL Server Data Tools

Windows Phone 8.1 SDK Integration   1.0
This package integrates the tools for the Windows Phone 8.1 SDK into the menus and controls of Visual Studio.

Workflow Manager Tools 1.0   1.0
This package contains the necessary Visual Studio integration components for Workflow Manager.

Xamarin   3.11.450.0 (44cf6bf)
Visual Studio extension to enable development for Xamarin.iOS and Xamarin.Android.

Xamarin.Android   5.1.0.115 (d23da369e436488f38c8ab8fe8a9ae7d9ea5256b)
Visual Studio plugin to enable development for Xamarin.Android.

Xamarin.Forms Intellisense   1.0
Provides intellisense for Xamarin.Forms in the XML editor.

Xamarin.iOS   8.10.0.0 (7741cc495ab0baf04ff0405d0604bc27f0ecae2e)
Visual Studio extension to enable development for Xamarin.iOS.

Xamarin.iOS Unified Migration   1.0
Automated migration for Xamarin iOS Classic projects to Unified

Xamarin.TestCloud.Integration   1.0
Early preview of Xamarin Test Cloud integration
Comment 5 Cody Beyer (MSFT) 2015-04-28 11:35:04 UTC
Appears issue remains after 29365 workaround was applied
Comment 6 Beau Brownlee 2015-05-04 16:50:31 UTC
I have a Nexus 6 running Android SDK 5.1 and I am having the same issue. Trying to put a breakpoint in the code immediately crashes the application. Is there any progress on the fix for this? Thanks!
Comment 7 Zoltan Varga 2015-05-04 19:01:59 UTC
Could you try the workaround from:
https://bugzilla.xamarin.com/show_bug.cgi?id=29365
i.e. comment #4 and #6.
Comment 8 Beau Brownlee 2015-05-06 10:28:49 UTC
Zoltan Varge: Thanks for the response, I tried this unsuccessfully  but it appears that this problem was fixed with the latest release http://forums.xamarin.com/discussion/40278/alpha-service-release-xamarin-studio-5-9-0-464-bug-fixes-for-5-9-0-431#latest

Sadly, you are the only one who has responded. I've posted questions on the forum and emailed our account contact and you are the only one who has responded to me so thank you for your help!

Note You need to log in before you can comment on or make changes to this bug.